Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Paypal Standard Payments Failing


cdetdi
 Share

Recommended Posts

@ecartz it already is - that is the one from core; I have checked since. The failing sites are using an older cert that doesn't have the root and intermediate certs in.

Contact me for work on updating existing stores - whether to Phoenix or the new osC when it's released.

Looking for a payment or shipping module? Maybe I've already done it.

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Link to comment
Share on other sites

Thanks so much for this thread guys. I started having issues with paypal payments not coming through and I've been chasing all around the place trying to find the issue.

The old version was missing both DigiCert High Assurance EV Root CA and DigiCert Global Root G2 (SHA-256)

I ran araxis merge on the phoenix 1.0.5.1 cert and the one downloaded from here and they're identical.

Thank you.

Can I suggest this gets made as an announcement in the forums so people know to update.

On a slightly different issue my Paypal app says its version 5.0.10 and then pops up An update is available for this App! . Clicking the button does nothing and from what I can see on the forum it's the latest version. Anyone got ideas?

Cheers

Mark

Link to comment
Share on other sites

@puggybelle I don't think it's hitting US sites yet, just Europe, but no doubt it will sooner or later.

It's older BS and classic sites not Phoenix - the required Paypal cert file was in the Frozen release.

Contact me for work on updating existing stores - whether to Phoenix or the new osC when it's released.

Looking for a payment or shipping module? Maybe I've already done it.

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Link to comment
Share on other sites

6 minutes ago, eidco said:

Must I migrate to CE Phoenix to solve the problem?

No, but that would be nice.

You will find the file in  catalog/ext/modules/payment/paypal/paypal.com.crt 

Live shop Phoenix 1.0.8.4 on PHP 7.4 Working my way up the versions.

Link to comment
Share on other sites

18 minutes ago, mhsuffolk said:

No, but that would be nice.

You will find the file in  catalog/ext/modules/payment/paypal/paypal.com.crt 

Thanks for the quick response.  I do intend to migrate, but that's going to take some time and I'd like a working payment module in the meantime.  I've been using the PayPal Standard module.  It's in /includes/modules/payment/paypal_standard.php.  There is no "paypal" directory there.  I tried adding one with the crt file, but no go.  Also no go with the crt in the payment directory.  In fact, I can't find a previous one anywhere.

Is there a 2.3.4 to Phoenix upgrade documentation?

Thanks.

Link to comment
Share on other sites

5 minutes ago, eidco said:

I do intend to migrate, but that's going to take some time and I'd like a working payment module in the meantime.  I've been using the PayPal Standard module.  It's in /includes/modules/payment/paypal_standard.php.  There is no "paypal" directory there.  I tried adding one with the crt file, but no go.

 

1 minute ago, burt said:

Upgrade to the Paypal App;

https://apps.oscommerce.com/fZMiN&paypal-app

This app is written specifically for 2.3.4 shops.

Note that you might still have to update the crt file *after* installing the PayPal App.  Because the most recent version of that App is older than the addition of the crt file to Frozen.  But installing the App should get you a crt file to update. 

Always back up before making changes.

Link to comment
Share on other sites

My site has started throwing up the warning to customers: Could not verify the PayPal transaction. Please try again.

This started happening 18 Feb 20

Payment is received and I can still see the order but it not set to the correct status.

I will have to upgrade too - can someone explain the alteration required to the crt file?

Edited by rgvsean
Link to comment
Share on other sites

7 minutes ago, rgvsean said:

My site has started throwing up the warning to customers: Could not verify the PayPal transaction. Please try again.

Have you updated paypal.com.crt   as in the posts above?

Live shop Phoenix 1.0.8.4 on PHP 7.4 Working my way up the versions.

Link to comment
Share on other sites

  • 2 weeks later...
32 minutes ago, Bordersbloke said:

I have the same issue.

Replaced the certificate - DID NOT solve it.

Also the same problem with Paypal Website Payments Pro.

Express Checkout works, but ignores shipping options and discount vouchers.

Paypal on my site is now virtually unusable.

What version of osCommerce are you using? 

Always back up before making changes.

Link to comment
Share on other sites

Just now, ecartz said:

What version of osCommerce are you using? 

2.3.4.

I have never found the Paypal Express module works properly, so have been using an older Paypal IPN implementation which has worked fine until now.  However both the IPN version and Paypal Standard no longer work since this last weekend.

Paypal Express does work but is hopeless from the main checkout as it ignores any shipping option selected and reverts to the lowest priced shipping option, hence using Express from the basket and a different version from the main checkout.

 

Link to comment
Share on other sites

I would add that I also have an earlier version of Website Payment Pro Hosted, as my Paypal account is a pre-2009 version and cannot use the later hosted code that comes with the paypal app or similar.  This is also failing in the same way.

 

Edited by Bordersbloke
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...